/*
 * @(#)NslookupExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.dns.*;
import java.util.Enumeration;
import java.io.*;

public class NslookupExample {
    
    public void getInfo(String nameserver, String domain) throws DnsException {
        Dns dns = new Dns();
        DnsRequest request = new DnsRequest(nameserver,domain);
        DnsResponse response = dns.getResponse(request);
        
        Enumeration answers = response.getAnswers();
        while(answers.hasMoreElements()) {
            System.out.println(answers.nextElement());
        }
    }
    
    public static void main(String[] args) {
        String nameserver;
        String domain;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Nameserver hostname (e.g. ns1.domain.com): ");
            nameserver = reader.readLine();
            System.out.print("Enter Domain to query (e.g. domain.com): ");
            domain = reader.readLine();
            
            NslookupExample example = new NslookupExample();
            example.getInfo(nameserver,domain);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
        
    }
}

